summaryrefslogtreecommitdiffstats
path: root/bootstrap/arch
diff options
context:
space:
mode:
Diffstat (limited to 'bootstrap/arch')
-rw-r--r--bootstrap/arch21
1 files changed, 21 insertions, 0 deletions
diff --git a/bootstrap/arch b/bootstrap/arch
new file mode 100644
index 0000000..d05da55
--- /dev/null
+++ b/bootstrap/arch
@@ -0,0 +1,21 @@
+#!/bin/sh
+set -eu
+
+conf_location="/usr/local/share/puppet-tozt"
+conf_repo="https://github.com/doy/puppet-tozt"
+
+mkdir -p "$conf_location"
+cd "$conf_location" || exit 1
+git clone "$conf_repo" .
+git checkout pulumi
+git submodule update --init --recursive
+cp -r /tmp/secrets/ modules/secret/files
+
+set +e
+puppet apply --modulepath=./modules --hiera_config=./hiera/hiera.yaml --detailed-exitcodes manifests
+puppet_exit=$?
+if [ $puppet_exit -eq 2 ]; then
+ exit 0
+else
+ exit $puppet_exit
+fi